<div class="row">
    <h4>Loader Settings </h4>
</div>
<div class="row">
    <div class="col-md-12">
        <!-- Logo -->
        <div class="logo text-center">
        </div>
        <div class="text-center forms">
            <form class="form form-horizontal" #targetForm="ngForm" (ngSubmit)="loadToRedshift()" style="width:auto !important">
                <div class="loader_name" [class.has-error]="loader_name.invalid && loader_name.touched">
                    <label>Loader Name</label>
                    <input class="form-control" name="loader_name" required [(ngModel)]="loader_sett_form.loader_name" #loader_name="ngModel">
                    <label for="loader_name" class="control-label" *ngIf="loader_name.errors && loader_name.errors.required && loader_name.touched">
                        <i class="fa fa-times-circle-o"></i> Loader Name is required
                    </label>
                </div>
                <hr>
                <div class="delimeter" [class.has-error]="delimeter.invalid && delimeter.touched">
                    <label>Delimiter</label>
                    <input class="form-control" name="delimeter" required [(ngModel)]="loader_sett_form.delimeter" #delimeter="ngModel">
                    <label for="delimeter" class="control-label" *ngIf="delimeter.errors && delimeter.errors.required && delimeter.touched">
                        <i class="fa fa-times-circle-o"></i> Delimiter is required
                    </label>
                </div>
                <hr>
                <div class="is_header">
                    <label><input type = "checkbox" class="pull-left" name="is_header" [(ngModel)]="loader_sett_form.is_header" #is_header="ngModel"> Includes Header Row</label>
                </div>
                <hr>
                <button [ladda]="isLoading" [disabled]="targetForm.invalid" class="btn btn-primary btn-submit" type="submit">Submit</button>
            </form>
        </div>
    </div>
</div>
<div class = "row" *ngIf = "loaderData">
    <table class="table">
        <thead>
            <tr>
                <th *ngFor="let loaderSampleHeader of loaderData.csv_header">{{loaderSampleHeader}}</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let loaderSampleRow of loaderData.csv_data">
                <td scope="row" *ngFor="let loaderSampleRowData of loaderSampleRow">{{loaderSampleRowData}}</td>
            </tr>
        </tbody>
    </table>
</div>
<div class = "row" *ngIf = "!loaderData">
<h3 style="text-align: center;">Loading Sample Data</h3>
        <div class="spinner">
          <div class="bounce1"></div>
          <div class="bounce2"></div>
          <div class="bounce3"></div>
        </div>
</div>
